namespace Clinica {

    /**
     * @brief This is the interface that must be implemented by
     * a plugin to be loaded in the UserInterface instances
     */
    public interface UserInterfaceActivatable : GLib.Object {
        public abstract UserInterface user_interface { get; set; }
        public abstract ResourceManager resource_manager { get; set; }
        public abstract void activate ();
        public abstract void deactivate ();
        public abstract void update_state ();
    }

}
